From e50d2f9d66e0ff1543e080d50e7233ea6cbfcb2a Mon Sep 17 00:00:00 2001
From: Jun Xiao <xiaojuntime@gmail.com>
Date: Wed, 25 Sep 2013 01:11:46 -0700
Subject: [PATCH 8/9] Fix iterator in dynarray_del_n_elements()

---
 libparistraceroute/libparistraceroute/dynarray.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libparistraceroute/libparistraceroute/dynarray.c b/libparistraceroute/libparistraceroute/dynarray.c
index d1a789c..6db90a7 100644
--- a/libparistraceroute/libparistraceroute/dynarray.c
+++ b/libparistraceroute/libparistraceroute/dynarray.c
@@ -107,7 +107,7 @@ bool dynarray_del_n_elements(dynarray_t * dynarray, size_t i, size_t n, void (*e
 
     if (dynarray && i + n <= num_elements) {
         if (element_free) {
-            for (j = i; j < i + n; i++) {
+            for (j = i; j < i + n; j++) {
                 element_free(dynarray_get_ith_element(dynarray, j));
             }
         }
-- 
1.7.9.5

